Skip to main content
GET
/
api
/
v1
/
pass-templates
/
{id}
Show Pass Template
curl --request GET \
  --url https://api.passentry.com/api/v1/pass-templates/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.passentry.com/api/v1/pass-templates/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.passentry.com/api/v1/pass-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "19cb334f9696e64e10e7759f0",
    "type": "passTemplate",
    "attributes": {
      "name": "PassEntry Supermarket",
      "templateType": "generic",
      "defaultLanguage": "en",
      "centralTitle": "PassEntry Supermarket",
      "notificationHeader": "PassEntry Supermarket",
      "colors": {
        "background": "#EFEFEF",
        "label": "#FF8477",
        "text": "#29323A"
      },
      "images": {
        "banner": "https://example.com/banner.png",
        "logo": "https://example.com/logo.png",
        "icon": "https://example.com/icon.png"
      },
      "fields": {
        "header": {
          "one": {
            "id": "membership_tier",
            "label": "Membership Tier",
            "defaultValue": "Gold"
          }
        },
        "central": {
          "one": {
            "id": "membership_tier",
            "label": "Membership Tier",
            "defaultValue": "Gold"
          }
        },
        "details": {
          "one": {
            "id": "membership_tier",
            "label": "Membership Tier",
            "defaultValue": "Gold"
          }
        },
        "back": {
          "one": {
            "id": "membership_tier",
            "label": "Membership Tier",
            "defaultValue": "Gold"
          }
        }
      }
    }
  }
}
{
"errors": [
"<string>"
]
}
{
"errors": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Pass Template UUID

Query Parameters

fields
string

Returns a partial response (Sparse fieldset), instead of the whole record. Set one or many comma separated record attributes

Example:

"name,description,templateType"

Response

Successful

data
Pass template · object